import { Connection } from 'typeorm';
import { Request, Response, NextFunction } from 'express';
import { Redis } from 'ioredis';
interface HandlerEvent {
    params: {
        query: {
            [key: string]: string;
        };
    };
    body: {
        [key: string]: string;
    };
    headers: {
        [key: string]: string;
    };
    req: Request;
    res: Response;
    next: NextFunction;
}
interface HandlerResponse {
    status?: number;
    data: any;
}
export interface HandlerContext {
    db: {
        connection?: Connection;
    };
    initContext: any;
    redis: Redis;
}
export default interface Handler {
    (event: HandlerEvent, ctx: HandlerContext): Promise<HandlerResponse | string>;
}
export {};
