"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const { env } = process;
class EnvTool {
    static get internalRedisConfig() {
        const config = {
            host: env.PLATFORM_REDIS_HOST,
            port: +env.PLATFORM_REDIS_PORT || 6379,
        };
        env.PLATFORM_REDIS_HOST = '';
        env.PLATFORM_REDIS_PORT = '';
        return config;
    }
    static get redisConfig() {
        return {
            host: env.REDIS_HOST,
            port: +env.REDIS_PORT || 6379,
        };
    }
    static get dbConfig() {
        return {
            host: env.DATABASE_HOST || 'localhost',
            port: +env.DATABASE_PORT || 5432,
            username: env.DATABASE_USERNAME,
            password: env.DATABASE_PWD,
            database: env.DATABASE_NAME,
            ssl: {
                rejectUnauthorized: false,
            },
        };
    }
}
exports.default = EnvTool;
EnvTool.launcher = env.LAUNCHER === 'true';
EnvTool.endpoint = env.ENDPOINT;
EnvTool.logOutput = env.LOG_OUTPUT;
EnvTool.environment = env.ENVIRONMENT_ID || 'private';
//# sourceMappingURL=env.tool.js.map