import { Request } from 'express';
import { Redis } from 'ioredis';
declare type CostData = Readonly<{
    id: string;
    ip: string;
    cost: number;
    body: Object;
}>;
export declare type RequestWithCost = Request & Readonly<{
    costData: CostData;
}>;
export default class RequestCostTool {
    private readonly redis?;
    private COST_EXPIRATION_IN_SECONDS;
    private costTable;
    private context;
    constructor(redis?: Redis);
    setCost(request: Request, cost: number): RequestWithCost;
    saveCost(request: Request | RequestWithCost): Promise<void>;
    getTotalCost(request: Request | RequestWithCost): Promise<number>;
    private tableCostForUser;
    private requestHasCostGuard;
    private getCostDataFromRequest;
}
export {};
